Bug 1130863 - [GSS] (6.4.0) Setting some locales causes missing buttons on console and throws errors.
Summary: [GSS] (6.4.0) Setting some locales causes missing buttons on console and thro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.4
Hardware: All
OS: All
medium
urgent
Target Milestone: DR1
: EAP 6.4.0
Assignee: Shailendra Jadhav
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1141668
TreeView+ depends on / blocked
 
Reported: 2014-08-18 05:29 UTC by Jay SenSharma
Modified: 2019-08-19 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1141668 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
EAP6.2_mssing_add_remove_disable_Buttons.png (93.25 KB, image/png)
2014-08-18 05:30 UTC, Jay SenSharma
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3741 Major Resolved Setting some locales causes missing buttons on console and throws errors. 2017-06-07 10:18:40 UTC

Description Jay SenSharma 2014-08-18 05:29:10 UTC
Description of problem:
-------------------------
- When JBoss EAP 6.2.4 (or any release of 6.2.x) is started with the following system properties in the "standalone.conf" then the admin console behaves abnormally and shows some missing buttons in the console. See attached screenshot "mssing_add_remove_disable_Buttons.png".

{code}
JAVA_OPTS="$JAVA_OPTS -Duser.country=TR -Duser.language=tr"
{code}


- Also it throws following Error while accessing the console URL like [1]
[1] http://localhost:9990/console/App.html#datasources

{code}
10:52:08,810 ERROR [org.jboss.as.controller.management-operation] (HttpManagementService-threads - 2) JBAS014612: Operation ("check-resource-access") failed - address: ([
    ("subsystem" => "datasources"),
    ("data-source" => "*"),
    ("connection-properties" => "*")
]): java.lang.IllegalArgumentException: No enum constant org.jboss.as.controller.registry.AttributeAccess.Storage.CONFİGURATİON
	at java.lang.Enum.valueOf(Enum.java:236) [rt.jar:1.7.0_51]
	at org.jboss.as.controller.registry.AttributeAccess$Storage.valueOf(AttributeAccess.java:92) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.operations.global.ReadResourceDescriptionHandler$CheckResourceAccessHandler.execute(ReadResourceDescriptionHandler.java:428) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:607) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:485) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.completeStepInternal(AbstractOperationContext.java:282) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:277) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl.internalExecute(ModelControllerImpl.java:231) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl.execute(ModelControllerImpl.java:137) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:437) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:427) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.processRequest(DomainApiHandler.java:325) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.doHandle(DomainApiHandler.java:229) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.handle(DomainApiHandler.java:236) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler$1.run(SubjectAssociationHandler.java:69) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler$1.run(SubjectAssociationHandler.java:65) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at java.security.AccessController.doPrivileged(Native Method) [rt.jar:1.7.0_51]
	at javax.security.auth.Subject.doAs(Subject.java:415) [rt.jar:1.7.0_51]
	at org.jboss.as.controller.AccessAuditContext.doAs(AccessAuditContext.java:94) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler.handleRequest(SubjectAssociationHandler.java:65) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler.handle(SubjectAssociationHandler.java:59) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
	at org.jboss.sun.net.httpserver.AuthFilter.doFilter(AuthFilter.java:69)
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
	at org.jboss.sun.net.httpserver.ServerImpl$Exchange$LinkHandler.handle(ServerImpl.java:710)
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
	at org.jboss.as.domain.http.server.RealmReadinessFilter.doFilter(RealmReadinessFilter.java:47) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DmrFailureReadinessFilter.doFilter(DmrFailureReadinessFilter.java:45) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
	at org.jboss.sun.net.httpserver.ServerImpl$Exchange.run(ServerImpl.java:682)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_51]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_51]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.1.Final-redhat-1.jar:2.1.1.Final-redhat-1]

10:52:09,367 ERROR [org.jboss.as.controller.management-operation] (HttpManagementService-threads - 3) JBAS014612: Operation ("check-resource-access") failed - address: ([
    ("subsystem" => "datasources"),
    ("data-source" => "*"),
    ("connection-properties" => "*")
]): java.lang.IllegalArgumentException: No enum constant org.jboss.as.controller.registry.AttributeAccess.Storage.CONFİGURATİON
	at java.lang.Enum.valueOf(Enum.java:236) [rt.jar:1.7.0_51]
	at org.jboss.as.controller.registry.AttributeAccess$Storage.valueOf(AttributeAccess.java:92) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.operations.global.ReadResourceDescriptionHandler$CheckResourceAccessHandler.execute(ReadResourceDescriptionHandler.java:428) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:607) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:485) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.completeStepInternal(AbstractOperationContext.java:282) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:277) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl.internalExecute(ModelControllerImpl.java:231) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl.execute(ModelControllerImpl.java:137) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:437) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:427) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.processRequest(DomainApiHandler.java:325) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.doHandle(DomainApiHandler.java:229) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DomainApiHandler.handle(DomainApiHandler.java:236) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler$1.run(SubjectAssociationHandler.java:69) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler$1.run(SubjectAssociationHandler.java:65) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at java.security.AccessController.doPrivileged(Native Method) [rt.jar:1.7.0_51]
	at javax.security.auth.Subject.doAs(Subject.java:415) [rt.jar:1.7.0_51]
	at org.jboss.as.controller.AccessAuditContext.doAs(AccessAuditContext.java:94) [jboss-as-controller-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler.handleRequest(SubjectAssociationHandler.java:65) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler.handle(SubjectAssociationHandler.java:59) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
	at org.jboss.sun.net.httpserver.AuthFilter.doFilter(AuthFilter.java:69)
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
	at org.jboss.sun.net.httpserver.ServerImpl$Exchange$LinkHandler.handle(ServerImpl.java:710)
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
	at org.jboss.as.domain.http.server.RealmReadinessFilter.doFilter(RealmReadinessFilter.java:47) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.as.domain.http.server.DmrFailureReadinessFilter.doFilter(DmrFailureReadinessFilter.java:45) [jboss-as-domain-http-interface-7.3.0.Final-redhat-14.jar:7.3.0.Final-redhat-14]
	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
	at org.jboss.sun.net.httpserver.ServerImpl$Exchange.run(ServerImpl.java:682)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_51]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_51]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.1.Final-redhat-1.jar:2.1.1.Final-redhat-1]

{code}



Version-Release number of selected component (if applicable):
EAP 6.2.4 / EAP 6.2.x


How reproducible:
--------------------------
Steps to Reproduce:

1.    Before starting the EAP 6.2.4 / EAP 6.2.x release add the following system property in the "standalone.conf"

    JAVA_OPTS="$JAVA_OPTS -Duser.country=TR -Duser.language=tr"

2.    After starting the WildFly, access the following URL:
    http://localhost:9990/console/App.html#datasources

3.    Check the logs.
4.    Check the console which has missing "Add", "Remove", "Disable" buttons for the DataSource configuration page.


Actual results:
-------------------------
- Exception was thrown.
- Some missing buttons appeared in the console.


Expected results:
-------------------------
- No exception was supposed to be shown in the logs.
- The Missing "Add", "remote" and "Disable" button should be visible in the console for the datasource configuration.


Additional info:

Comment 1 Jay SenSharma 2014-08-18 05:30:13 UTC
Created attachment 927636 [details]
EAP6.2_mssing_add_remove_disable_Buttons.png

Comment 5 Petr Kremensky 2014-09-19 07:53:26 UTC
Verified on EAP 6.4.0.DR1.1


Note You need to log in before you can comment on or make changes to this bug.